INCLUDES    = $(all_includes)
METASOURCES = AUTO

# Install this plugin in the KDE modules directory
kde_module_LTLIBRARIES = libadblock.la

libadblock_la_SOURCES = adblock.cpp adblockdialogue.cpp
libadblock_la_LIBADD = $(LIB_KHTML) -lkonq
libadblock_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)

pluginsdir = $(kde_datadir)/khtml/kpartplugins
plugins_DATA = plugin_adblock.rc plugin_adblock.desktop

messages: rc.cpp
	$(XGETTEXT) *.cpp *.h -o $(podir)/adblockplugin.pot
